server:
  port: 18090 #port  



spring:
  config:
    activate:
      on-profile: dev



  sql:
    init:
      # DB 초기화(always / never). Embeded 인메모리DB는 기본적으로 초기화를 수행한다.
      mode: always
      # Database 벤더(h2,oracle,mysql,postgresql,...)
      platform: oracle
  #      schema-locations: classpath:/db/test/schema.sql
  #      data-locations: classpath:/db/test/data.sql
  datasource:
    #    jndi-name: java:jdbc/ensOracleDB
    driver-class-name: oracle.jdbc.OracleDriver
    #    url: jdbc:oracle:thin:@211.119.124.118:1521:bustms?rewriteBatchedStatements=true&profileSQL=true&logger=Slf4JLogger&maxQuerySizeToLog=999999
    url: jdbc:oracle:thin:@211.119.124.118:1521:bustms
    username: iup
    password: iup!0202
    hikari:
      #      auto-commit: false
      connection-test-query: SELECT 1 FROM DUAL
      transaction-isolation: TRANSACTION_READ_COMMITTED
  hikari:
    driver-class-name: ${spring.datasource.driver-class-name}
    jdbc-url: ${spring.datasource.url}
    username: ${spring.datasource.username}
    password: ${spring.datasource.password}

  jpa:
    database-platform: org.hibernate.dialect.Oracle10gDialect
    show-sql: false  #하이버네이트SQL 콘솔 출력 여부
    hibernate:
      # create / create-drop / update / validate / none
      ddl-auto: none
  
  
  h2:
    console:
      enabled: true
      path: /h2-console


  kafka:
    producer:
      bootstrap-servers: minkyu1128.synology.me:49092
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      bootstrap-servers: minkyu1128.synology.me:49092
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      group-id: group-id-ens
      auto-offset-reset: latest
      max-poll-records: 1
#      enable-auto-commit: true
#      auto-commit-interval: 1000


contract:
  naver:
    pay:
      easy:
        host: https://apis.naver.com #TODO 2023.03 네이버페이 검수를 위해 운영계로 설정
        partner-id: np_mtbfw423545
        client-id: eN8fbl2qw0tox78Z3D5C
        client-secret: nvE6dSSnGf
        ep-sdk-mode: production #TODO 2023.03 네이버페이 검수를 위해 운영계로 설정(간편결제 SDK 모드: development:개발, production:운영)
        api:
          validate:
            host: http://211.119.124.42:18090
